html,
body {
	position: relative;
	width: 100%;
	height: 100%;
}
body {
	width: 100vw;
	min-width: 100vw;
	height: 100vh;
	min-height: 100vh;
	margin: 0;
	color: #333;
	padding: 0;
	font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen', 'Ubuntu',
		'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue', sans-serif;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}
h1 {
	text-transform: uppercase;
	font-size: 2em;
	font-weight: 200;
	padding: 0;
	margin: 10px 0;
}
h2 {
	margin-top: 0;
}
h1 {
  margin-top: 0;
  text-align: center;
}
i {
	cursor: pointer;
}
i[disabled] {
	cursor: unset;
	opacity: 0.4;
}
a {
	color: currentColor;
	text-decoration: underline;
}
a:hover {
	text-decoration: underline;
}
a:visited {
	color: currentColor;
}
.href-hover:hover {
text-decoration: underline;
}
.clickable {
cursor: pointer;
}
input:focus,
select:focus,
textarea:focus,
button:focus {
    outline: none;
}
label, select, input[type='number'], input[type='text'], input[type='password'] {
	margin: 0 0.5rem 0.5rem 0;
	padding: 0.5rem 0;
	font-size: 17px;
	border: none;
	display: block;
}
select {
	appearance: none;
	--webkit-appearance: none;
	font-size: 19px;
	padding-left: 5px;
}
/* Input */
input[type='range'] {
  height: 0;
}
input[type='text'], input[type='password'] {
	padding-left: 5px;
}
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
	appearance: none;
	-webkit-appearance: none;
	margin: 0;
}
input[type='number'] {
	appearance: textfield;
	-moz-appearance: textfield;
}
input[type='number'], input[type='text'], input[type='password'] {
	max-height: 24px;
	flex: 1;
	font-size: 19px;
	border: none;
	color: currentColor;
}
input[type='number']:disabled {
	opacity: 1;
	color: currentColor;
}
input[type='text']:disabled {
	opacity: 0.8;
	color: currentColor;
}
input:disabled {
  color: #ccc;
}
body.theme-light select {
	background-color: #f3f3f3;
	color: #222222;
	border-radius: 0;
	border-top: none;
	border-left: none;
	border-right: none;
	border-bottom: 1px solid #222222;
}
body.theme-dark select {
	background-color: #222222;
	color: #f3f3f3;
	border-radius: 0;
	border-top: none;
	border-left: none;
	border-right: none;
	border-bottom: 1px solid #f3f3f3;
}
body.theme-light input[type='password'] {
	background-color: #f3f3f3;
	color: #222222;
	border-radius: 0;
	border-top: none;
	border-left: none;
	border-right: none;
	border-bottom: 1px solid #222222;
}
body.theme-dark input[type='password'] {
	background-color: #222222;
	color: #f3f3f3;
	border-radius: 0;
	border-top: none;
	border-left: none;
	border-right: none;
	border-bottom: 1px solid #f3f3f3;
}
body.theme-light input[type='text'] {
	background-color: #f3f3f3;
	color: #222222;
	border-radius: 0;
	border-top: none;
	border-left: none;
	border-right: none;
	border-bottom: 1px solid #222222;
}
body.theme-dark input[type='text'] {
	background-color: #222222;
	color: #f3f3f3;
	border-radius: 0;
	border-top: none;
	border-left: none;
	border-right: none;
	border-bottom: 1px solid #f3f3f3;
}
body.theme-light input[type='number'] {
	background-color: #f3f3f3;
	color: #222222;
	border-radius: 0;
	border-top: none;
	border-left: none;
	border-right: none;
	border-bottom: 1px solid #222222;
}
body.theme-dark input[type='number'] {
	background-color: #222222;
	color: #f3f3f3;
	border-radius: 0;
	border-top: none;
	border-left: none;
	border-right: none;
	border-bottom: 1px solid #f3f3f3;
}
.success {
  color: green;
  text-align: center;
  font-size: larger;
}
.error{
  color: red;
  text-align: center;
  font-size: larger;
}
.footer {
	margin-left: 15px;
	margin-bottom: 15px;
}
